SuperLU: SRC/zutil.c File Reference

SuperLU 5.2.0

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions
zutil.c File Reference

Matrix utility functions. More...

`#include <math.h>`
`#include "slu_zdefs.h"`
Include dependency graph for zutil.c:

## Functions
void | zCreate_CompCol_Matrix (SuperMatrix *A, int m, int n, int nnz, doublecomplex *nzval, int *rowind, int *colptr, Stype_t stype, Dtype_t dtype, Mtype_t mtype)
| Supernodal LU factor related. More...
void | zCreate_CompRow_Matrix (SuperMatrix *A, int m, int n, int nnz, doublecomplex *nzval, int *colind, int *rowptr, Stype_t stype, Dtype_t dtype, Mtype_t mtype)
void | zCopy_CompCol_Matrix (SuperMatrix *A, SuperMatrix *B)
| Copy matrix A into matrix B. More...
void | zCreate_Dense_Matrix (SuperMatrix *X, int m, int n, doublecomplex *x, int ldx, Stype_t stype, Dtype_t dtype, Mtype_t mtype)
void | zCopy_Dense_Matrix (int M, int N, doublecomplex *X, int ldx, doublecomplex *Y, int ldy)
void | zCreate_SuperNode_Matrix (SuperMatrix *L, int m, int n, int nnz, doublecomplex *nzval, int *nzval_colptr, int *rowind, int *rowind_colptr, int *col_to_sup, int *sup_to_col, Stype_t stype, Dtype_t dtype, Mtype_t mtype)
void | zCompRow_to_CompCol (int m, int n, int nnz, doublecomplex *a, int *colind, int *rowptr, doublecomplex **at, int **rowind, int **colptr)
| Convert a row compressed storage into a column compressed storage. More...
void | zPrint_CompCol_Matrix (char *what, SuperMatrix *A)
| Routines for debugging. More...
void | zPrint_SuperNode_Matrix (char *what, SuperMatrix *A)
void | zPrint_Dense_Matrix (char *what, SuperMatrix *A)
void | zprint_lu_col (char *msg, int jcol, int pivrow, int *xprune, GlobalLU_t *Glu)
| Diagnostic print of column "jcol" in the U/L factor. More...
void | zcheck_tempv (int n, doublecomplex *tempv)
| Check whether tempv[] == 0. This should be true before and after calling any numeric routines, i.e., "panel_bmod" and "column_bmod". More...
void | zGenXtrue (int n, int nrhs, doublecomplex *x, int ldx)
void | zFillRHS (trans_t trans, int nrhs, doublecomplex *x, int ldx, SuperMatrix *A, SuperMatrix *B)
| Let rhs[i] = sum of i-th row of A, so the solution vector is all 1's. More...
void | zfill (doublecomplex *a, int alen, doublecomplex dval)
| Fills a doublecomplex precision array with a given value. More...
void | zinf_norm_error (int nrhs, SuperMatrix *X, doublecomplex *xtrue)
| Check the inf-norm of the error vector. More...
void | zPrintPerf (SuperMatrix *L, SuperMatrix *U, mem_usage_t *mem_usage, double rpg, double rcond, double *ferr, double *berr, char *equed, SuperLUStat_t *stat)
| Print performance of the code. More...
| print_doublecomplex_vec (char *what, int n, doublecomplex *vec)

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

    – SuperLU routine (version 3.1) –
    Univ. of California Berkeley, Xerox Palo Alto Research Center,
    and Lawrence Berkeley National Lab.
    August 1, 2008

    Copyright (c) 1994 by Xerox Corporation.  All rights reserved.

    THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY
    EXPRESSED OR IMPLIED.  ANY USE IS AT YOUR OWN RISK.

    Permission is hereby granted to use or copy this program for any
    purpose, provided the above notices are retained on all copies.
    Permission to modify the code and to distribute modified code is
    granted, provided the above notices are retained, and a notice that
    the code was modified is included with the above copyright notice.

## Function Documentation

print_doublecomplex_vec | ( | char * | what,
|  | int | n,
|  | doublecomplex * | vec
| ) |  |

void zcheck_tempv | ( | int | n,
|  | doublecomplex * | tempv
| ) |  |

void zCompRow_to_CompCol | ( | int | m,
|  | int | n,
|  | int | nnz,
|  | doublecomplex * | a,
|  | int * | colind,
|  | int * | rowptr,
|  | doublecomplex ** | at,
|  | int ** | rowind,
|  | int ** | colptr
| ) |  |

Here is the call graph for this function:

void zCopy_CompCol_Matrix | ( | SuperMatrix * | A,
|  | SuperMatrix * | B
| ) |  |

void zCopy_Dense_Matrix | ( | int | M,
|  | int | N,
|  | doublecomplex * | X,
|  | int | ldx,
|  | doublecomplex * | Y,
|  | int | ldy
| ) |  |

Copies a two-dimensional matrix X to another matrix Y.

void zCreate_CompCol_Matrix | ( | SuperMatrix * | A,
|  | int | m,
|  | int | n,
|  | int | nnz,
|  | doublecomplex * | nzval,
|  | int * | rowind,
|  | int * | colptr,
|  | Stype_t | stype,
|  | Dtype_t | dtype,
|  | Mtype_t | mtype
| ) |  |

void zCreate_CompRow_Matrix | ( | SuperMatrix * | A,
|  | int | m,
|  | int | n,
|  | int | nnz,
|  | doublecomplex * | nzval,
|  | int * | colind,
|  | int * | rowptr,
|  | Stype_t | stype,
|  | Dtype_t | dtype,
|  | Mtype_t | mtype
| ) |  |

void zCreate_Dense_Matrix | ( | SuperMatrix * | X,
|  | int | m,
|  | int | n,
|  | doublecomplex * | x,
|  | int | ldx,
|  | Stype_t | stype,
|  | Dtype_t | dtype,
|  | Mtype_t | mtype
| ) |  |

void zCreate_SuperNode_Matrix | ( | SuperMatrix * | L,
|  | int | m,
|  | int | n,
|  | int | nnz,
|  | doublecomplex * | nzval,
|  | int * | nzval_colptr,
|  | int * | rowind,
|  | int * | rowind_colptr,
|  | int * | col_to_sup,
|  | int * | sup_to_col,
|  | Stype_t | stype,
|  | Dtype_t | dtype,
|  | Mtype_t | mtype
| ) |  |

void zfill | ( | doublecomplex * | a,
|  | int | alen,
|  | doublecomplex | dval
| ) |  |

void zFillRHS | ( | trans_t | trans,
|  | int | nrhs,
|  | doublecomplex * | x,
|  | int | ldx,
|  | SuperMatrix * | A,
|  | SuperMatrix * | B
| ) |  |

Here is the call graph for this function:

void zGenXtrue | ( | int | n,
|  | int | nrhs,
|  | doublecomplex * | x,
|  | int | ldx
| ) |  |

void zinf_norm_error | ( | int | nrhs,
|  | SuperMatrix * | X,
|  | doublecomplex * | xtrue
| ) |  |

Here is the call graph for this function:

void zPrint_CompCol_Matrix | ( | char * | what,
|  | SuperMatrix * | A
| ) |  |

void zPrint_Dense_Matrix | ( | char * | what,
|  | SuperMatrix * | A
| ) |  |

void zprint_lu_col | ( | char * | msg,
|  | int | jcol,
|  | int | pivrow,
|  | int * | xprune,
|  | GlobalLU_t * | Glu
| ) |  |

void zPrint_SuperNode_Matrix | ( | char * | what,
|  | SuperMatrix * | A
| ) |  |

void zPrintPerf | ( | SuperMatrix * | L,
|  | SuperMatrix * | U,
|  | mem_usage_t * | mem_usage,
|  | double | rpg,
|  | double | rcond,
|  | double * | ferr,
|  | double * | berr,
|  | char * | equed,
|  | SuperLUStat_t * | stat
| ) |  |